Package mvpa :: Package measures :: Module base :: Class CombinedFeaturewiseDatasetMeasure

[hide private]
[frames] | no frames]

# Class CombinedFeaturewiseDatasetMeasure

source code

Set sensitivity analyzers to be merged into a single output

Nested Classes | [hide private]

Inherited from `misc.state.ClassWithCollections`: `__metaclass__`

Instance Methods | [hide private]

__init__(self, analyzers=None, combiner=None, **kwargs) Initialize CombinedFeaturewiseDatasetMeasure | source code

_call(self, dataset) Computes a per-feature-measure on a given Dataset. | source code

untrain(self) Untrain CombinedFDM | source code

_setAnalyzers(self, analyzers) Set the analyzers | source code

Inherited from `FeaturewiseDatasetMeasure`: `__repr__`, `combiner`

Inherited from `FeaturewiseDatasetMeasure` (private): `_postcall`

Inherited from `DatasetMeasure`: `__call__`, `null_dist`, `transformer`

Inherited from `misc.state.ClassWithCollections`: `__getattribute__`, `__new__`, `__setattr__`, `__str__`, `reset`

Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| sensitivities = `StateVariable(enabled= False, doc= "Sensitivit`...``
| analyzers = `property(fget= lambda x: x.__analyzers, fset= _set`...``
Inherited from `FeaturewiseDatasetMeasure`: `base_sensitivities` Inherited from `DatasetMeasure`: `__doc__`, `null_prob`, `null_t`, `raw_results` Inherited from `misc.state.ClassWithCollections`: `_DEV__doc__`, `descr`

Instance Variables | [hide private]

| __combiner Which functor to use to combine all sensitivities
| __analyzers Analyzers to use

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, analyzers=None, combiner=None, **kwargs)
(Constructor)

source code

Initialize CombinedFeaturewiseDatasetMeasure

Parameters:
  - `analyzers` (list or None) - List of analyzers to be used. There is no logic to populate such a list in __call__, so it must be either provided to the constructor or assigned to .analyzers prior calling
Overrides: object.__init__

### _call(self, dataset)

source code

Computes a per-feature-measure on a given Dataset.

Behaves like a DatasetMeasure, but computes and returns a 1d ndarray with one value per feature.

Overrides: DatasetMeasure._call
  (inherited documentation)

### untrain(self)

source code

Untrain CombinedFDM

Overrides: DatasetMeasure.untrain

Class Variable Details | [hide private]

### sensitivities

Value:

      StateVariable(enabled= False, doc= "Sensitivities produced by each ana
      lyzer")

### analyzers

Value:

      property(fget= lambda x: x.__analyzers, fset= _setAnalyzers, doc= "Use
      d analyzers")